<template>
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <router-link class="navbar-brand" :to="{name: 'Tablero'}">Heroes App</router-link>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <router-link class="nav-link" :to="{name: 'Tablero'}"><i class="fas fa-tachometer-alt"></i> Tablero</router-link>
        </li>
        <li class="nav-item">
          <router-link class="nav-link" :to="{name: 'Heroes'}"><i class="fas fa-mask"></i> Heroes</router-link>
        </li>
      </ul>
      <ul class="navbar-nav ml-auto" v-if="this.usuario">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            {{mostrarNombre | capitalize}}
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
            <router-link class="dropdown-item" :to="{name: 'Confirmacion'}" v-if="!mostrarConfirmacion">Confirmar</router-link>
            <button class="dropdown-item" @click="cerrarSesion">Cerrar Sesion</button>
          </div>
        </li>
      </ul>
    </div>
  </nav>
</template>

<script>
import { mapActions, mapState } from 'vuex';

export default {
  methods: {
    ...mapActions('usuario', ['clearUsuario']),
    cerrarSesion() {
      this.clearUsuario()
      this.$router.push({name: 'Login'})
    }
  },
  computed: {
    ...mapState('usuario', ['usuario']),
    mostrarNombre: function () {
      return this.usuario?.name ? this.usuario.name : 'Usuario'
    },
    mostrarConfirmacion: function () {
      return this.usuario?.confirmado
    }
  }
}
</script>
